---
identifier: "GMS-2017-112"
package_slug: "packagist/squizlabs/php_codesniffer"
title: "Arbitrary shell execution"
description: "This release contains a fix for a security advisory related to the improper
  handling of shell commands. Uses of `shell_exec()` and `exec()` were not escaping
  filenames and configuration settings in most cases A properly crafted filename or
  configuration option would allow for arbitrary code execution when using some features."
date: "2017-03-02"
pubdate: "2017-03-02"
affected_range: "<2.8.1||>=3.0.0a1,<3.0.0RC4"
fixed_versions:
- "2.8.1"
- "3.0.0RC4"
affected_versions: "All versions before 2.8.1, all versions starting from 3.0.0a1
  before 3.0.0rc4"
solution: "Upgrade to latest version or ensure you're not using the following features:
  diff report, notify-send report, Generic.PHP.Syntax sniff, Generic.Debug.CSSLint
  sniff, Generic.Debug.ClosureLinter sniff, Generic.Debug.JSHint sniff, Squiz.Debug.JSLint
  sniff, Squiz.Debug.JavaScriptLint sniff, Zend.Debug.CodeAnalyzer sniff"
urls:
- "https://github.com/squizlabs/PHP_CodeSniffer/releases/tag/2.8.1"
uuid: "4bed8752-2623-4e22-a7a0-03b985709fbc"
